Project Editor Crashes

jb_bryant (23 posts)
March 23, 2023 09:22 PM
Accepted Answer

I had the 64-bit Crystal Runtime version 13.0.31.4010 installed which comes with SAP Business One 10.0 FP2202, but it caused the Project Editor (x64) to crash when opening. Downgrading to the version of the runtime that comes with Report Commander did fix the issue.

Is this a known issue?

jb_bryant (23 posts)
March 24, 2023 11:46 AM
Accepted Answer
I tried the 32-bit version but that didn't work, which I'm assuming is because I have 64-bit Crystal designer installed. I had upgraded the 64-bit runtime to the one corresponding with my B1 version, and when I reinstalled the 64-bit Report Commander it worked somehow. 
Bill Staff (602 posts)
March 24, 2023 12:11 PM
Accepted Answer

Yes. Using a newer version of the runtime can cause problems. I thought we had a Knowledge Base article on this but we didn't, so I have added one: see this article. If you apply the configuration files linked from the article that will allow Report Commander to work with the newer runtime.

Report Commander installs version 13.0.24. Anything later than 13.0.25 will cause a problem without the configuration files. Reinstalling Report Commander should not make it start working if you still have a newer runtime version.

You need correct bitness (32-bit or 64-bit) of the runtime to match the Report Commander version you have installed.

jb_bryant (23 posts)
March 24, 2023 12:25 PM
Accepted Answer
Bill wrote:

Yes. Using a newer version of the runtime can cause problems. I thought we had a Knowledge Base article on this but we didn't, so I have added one: see this article. If you apply the configuration files linked from the article that will allow Report Commander to work with the newer runtime.

Report Commander installs version 13.0.24. Anything later than 13.0.25 will cause a problem without the configuration files. Reinstalling Report Commander should not make it start working if you still have a newer runtime version.

You need correct bitness (32-bit or 64-bit) of the runtime to match the Report Commander version you have installed.

 

Thanks!